PHP Manual
后退 |  | 前进

# DOMElement->setAttribute()

(no version information, might be only in CVS)

DOMElement->setAttribute() -- Adds new attribute

## 说明

class DOMElement {
bool setAttribute ( string name, string value )
}

Sets an attribute with name name to the given value. If the attribute does not exist, it will be created.

## 参数

name

  The name of the attribute.

value

  The value of the attribute.

## 返回值

如果成功则返回 `TRUE`，失败则返回 `FALSE`。

## 异常

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

## 例

例子 1. Setting an attribute
`<?php $doc = new DOMDocument("1.0"); $node = $doc->createElement("para"); $newnode = $doc->appendChild($node); $newnode->setAttribute("align", "left"); ?>`

## 参见

DOMElement->hasAttribute()
DOMElement->getAttribute()
DOMElement->removeAttribute()

后退 | 起点 | 前进
DOMElement->removeAttributeNS() | 上一级 | DOMElement->setAttributeNode()